Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
Version: 3.5.8
Release: 4
Copyright: GPL
Group: Applications/Publishing
Requires: ghostscript
Source0: ftp://thep.physik.uni-mainz.de/pub/gv/unix/gv-3.5.8.tar.gz
#Patch0: gv-3.5.8-imake.patch
Prefix: %{_prefix}
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildRoot: /var/tmp/gv-root
%ifarch ia64
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define DEFCC cc
%endif

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q
#%patch0 -p1 -b .imake

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
xmkmf
make CC=$CC \
     EXTRA_LOAD_FLAGS=-Wl,-bnodelcsect \
     GV_BINDIR=%{prefix}/bin/ GV_DOCDIR=%{prefix}/doc/gv/ \
     GV_LIBDIR=%{prefix}/lib/gv/ GV_MANDIR=%{prefix}/man/man1/ Makefiles
make CC=$CC \
     EXTRA_LOAD_FLAGS=-Wl,-bnodelcsect \
     GV_BINDIR=%{prefix}/bin/ GV_DOCDIR=%{prefix}/doc/gv/ \
     GV_LIBDIR=%{prefix}/lib/gv/ GV_MANDIR=%{prefix}/man/man1/

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics

make DESTDIR=$RPM_BUILD_ROOT GV_BINDIR=%{prefix}/bin/ GV_DOCDIR=%{prefix}/doc/gv/ \
     GV_LIBDIR=%{prefix}/lib/gv/ GV_MANDIR=%{prefix}/man/man1/ \
     XAPPLOADDIR=%{prefix}/lib/X11/app-defaults install install.man
#gunzip doc/*gz
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/gv.desktop <<EOF
[Desktop Entry]
Name=Ghostview
Type=Application
Icon=kghostview.xpm
Exec=gv
EOF


#Make GNOME and KDE desktop links
CATEGORY=Graphics
APP=gv
KDELNK=$RPM_BUILD_ROOT%{prefix}/kde/share/applnk
GNOMELNK=$RPM_BUILD_ROOT%{prefix}/share/gnome/apps
mkdir -p $KDELNK/$CATEGORY
mkdir -p $GNOMELNK/$CATEGORY
ln -s /etc/X11/applnk/$CATEGORY/$APP.desktop $KDELNK/$CATEGORY
ln -s /etc/X11/applnk/$CATEGORY/$APP.desktop $GNOMELNK/$CATEGORY

ln -sf gv $RPM_BUILD_ROOT%{prefix}/bin/ghostview

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

(cd $RPM_BUILD_ROOT
    mkdir -p usr/lpp/X11/bin
    mkdir -p usr/lpp/X11/lib/X11/app-defaults
    cd usr/lpp/X11/bin
    ln -s ../../../..%{prefix}/bin/* .
    cd - >/dev/null
    cd usr/lpp/X11/lib/X11
    ln -s ../../../../..%{prefix}/lib/gv .
    cd app-defaults
    ln -s ../../../../../..%{prefix}/lib/X11/app-defaults/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
%{prefix}/bin/gv
%{prefix}/bin/ghostview
%{prefix}/lib/gv
%{prefix}/lib/X11/app-defaults/GV
%{prefix}/man/man1/gv.*
/usr/lpp/X11/bin/gv
/usr/lpp/X11/bin/ghostview
/usr/lpp/X11/lib/X11/app-defaults/GV
/usr/lpp/X11/lib/X11/gv
%config /etc/X11/applnk/Graphics/gv.desktop
%{prefix}/kde/share/applnk/*/*
%{prefix}/share/gnome/apps/*/*

%changelog
* Mon Jun 04 2001 Marc Stephenson <marc@austin.ibm.com>
- Added desktop links for GNOME and KDE

* Thu Apr 19 2001 David Clissold <cliss@austin.ibm.com>
- Binary wasn't being stripped

* Mon Mar 19 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects
- Use default compiler

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
